Subject: bug#6592: 24.0.50; Fringe at scroll bar side is wider (sometimes).

From: Jan Djärv <[email-masked]>
Date: Sat, 10 Jul 2010 11:03:08 +0200

YAMAMOTO Mitsuharu skrev 2010-07-10 02.42:
>>>>>> On Fri, 09 Jul 2010 20:49:31 +0200, Stephen Berman<[email-masked]>  said:
>
>> On Fri, 09 Jul 2010 13:49:28 +0200 "Jan D."<[email-masked]>
>> wrote:
>>> Notice that the fringe close to scroll bar is much wider than the
>>> other fringe (see screenshot).  This appears to depend on the font
>>> size, as for smaller fonts, the effect is not that noticable.  For
>>> example, with Gtk+ and lucid, monospace-19 shows this rather well,
>>> but for monospace-20, there is little difference.  But for
>>> monospace-20 the fringes are much smaller than for monospace-20.
>>> Why?
>
>> Hasn't it been like that since this change?
>
>> 2007-07-27 YAMAMOTO Mitsuharu<[email-masked]>
>
> Exactly.  For more info, see the thread starting from
> http://lists.gnu.org/archive/html/emacs-devel/2007-03/msg00295.html
>

There is something off with the calculations for the frame size then.  Check 
attached screen shots.  The right fringe is not visible.

The frame size calculation uses f->scroll_bar_actual_width which in this case 
is 16.  But the finge padding must be 14 pixels (font width is 15, so I assume 
padding to 30 is done).

In what frame parameter or struct frame member is this padding seen if not in 
scroll_bar_actual_width?

Please don't suggest using columns * font width, it would just make the 
restriction of integral font width harder to remove.

	Jan D.